List regions
curl --request GET \
--url https://compute.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/regions \
--header 'Authorization: Bearer <token>'import requests
url = "https://compute.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/regions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://compute.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
"name": "uk-west-1",
"description": "A top secret datacenter somewhere in the UK",
"creationTime": "2023-07-31T10:45:45Z",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"type": "openstack",
"features": {
"physicalNetworks": true
}
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid"
}{
"error": "access_denied",
"error_description": "authentication failed"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges"
}{
"error": "server_error",
"error_description": "failed to token claim"
}Regions
List regions
Lists compute service compatible regions.
GET
/
api
/
v1
/
organizations
/
{organizationID}
/
regions
List regions
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
The organization ID. A Kubernetes name. Must be a valid DNS containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.
Required string length:
1 - 63Was this page helpful?
⌘I